diff --git a/pgadmin/dlg/dlgExtension.cpp b/pgadmin/dlg/dlgExtension.cpp
index cfa62a3..7c2362e 100644
--- a/pgadmin/dlg/dlgExtension.cpp
+++ b/pgadmin/dlg/dlgExtension.cpp
@@ -180,10 +180,10 @@ wxString dlgExtension::GetSql()
 	if (extension)
 	{
 		// edit mode
-		if (cbObjectsSchema->GetValue() != extension->GetSchemaStr())
+		if (!cbObjectsSchema->GetValue().IsEmpty() && cbObjectsSchema->GetValue() != extension->GetSchemaStr())
 			sql += wxT("ALTER EXTENSION ") + qtIdent(extension->GetName())
 			       +  wxT("\n  SET SCHEMA ") + qtIdent(cbObjectsSchema->GetValue()) + wxT(";\n");
-		if (cbVersion->GetValue() != extension->GetVersion())
+		if (!cbVersion->GetValue().IsEmpty() && cbVersion->GetValue() != extension->GetVersion())
 			sql += wxT("ALTER EXTENSION ") + qtIdent(extension->GetName())
 			       +  wxT("\n  UPDATE TO ") + qtIdent(cbVersion->GetValue()) + wxT(";\n");
 	}
